QGIS Application - Bug report #11322
Cannot copy/paste Spatialite features (when using autoincrementing primary key)
2014-10-04 06:07 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider/SpatialLite

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19618
Description

When using a SL layer with autoincrementing primary key copy/paste of features fails on save:

SQLite error: UNIQUE constraint failed: layename.pkuid

It worked as expected until 2.0.1 (stopped since 2.2).

Associated revisions

Revision 42d915ef - 2014-10-21 01:33 AM - Jiirgen Fischer

skip primary key column when pasting to spatialite layers (fixes #11322)

History

#1 - 2014-10-20 04:41 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"42d915ef0f03e4f5fde04353a880e7ffaceb4365".
